Public Member Functions | Public Attributes | List of all members
libqxp::Page Struct Reference

`#include <QXPTypes.h>`

## Public Member Functions
| Page ()
bool | isFacing () const

## Public Attributes
std::vector< PageSettings > | pageSettings
unsigned | objectsCount

## Constructor & Destructor Documentation

## ◆ Page()

libqxp::Page::Page | ( |  | ) |
| inline

## Member Function Documentation

## ◆ isFacing()

bool libqxp::Page::isFacing | ( |  | ) | const
| inline

Referenced by libqxp::QXPContentCollector::startPage().

## Member Data Documentation

## ◆ objectsCount

unsigned libqxp::Page::objectsCount

Referenced by libqxp::QXP33Parser::parseGroup(), libqxp::QXP4Parser::parseGroup(), libqxp::QXP33Parser::parsePage(), and libqxp::QXP4Parser::parsePage().

## ◆ pageSettings

std::vector<PageSettings> libqxp::Page::pageSettings

Referenced by isFacing(), libqxp::QXP33Parser::parsePage(), libqxp::QXP4Parser::parsePage(), libqxp::QXP1Parser::parsePages(), and libqxp::QXPContentCollector::startPage().

The documentation for this struct was generated from the following file:

- QXPTypes.h